#!/bin/bash

uci_bash_shell_root_copy () {
install_dir=${install_dir:-"$(dirname $(dirname $(realpath "${BASH_SOURCE:-$0}")))"}
echo -e "************ copying uci shell .profile and .bashrc files to /root ********"
group=root
files=$(find $install_dir/files/root -type f)
for file in $files; do install -m 640 -o root -g $group $file  /root; done
}

# # if script was executed then call the function
(return 0 2>/dev/null) || uci_bash_shell_root_copy "$@"